require 'rest-client'
require 'json'

# BobModel
class BobModel
  DIMIBOB_API_URL = 'http://dimigo.in/pages/dimibob_getdata.php?d='.freeze

  def initialize(date)
    meal_date = format('%04i%02i%02i', date.year, date.month, date.day)

    begin
      response = RestClient.get DIMIBOB_API_URL + meal_date
      @bob = JSON.parse(response.body)
    rescue
      @bob = {
        breakfast: 'Have No Data',
        lunch: 'Have No Data',
        dinner: 'Have No Data',
        snack: 'Have No Data'
      }
    end
    self
  end

  def meal
    @bob
  end

  def breakfast
    @bob['breakfast'].split('/')
  end

  def lunch
    @bob['lunch'].split('/')
  end

  def dinner
    @bob['dinner'].split('/')
  end

  def snack
    @bob['snack'].split('/')
  end
end